
QGIS Application - Bug report #11880

Toggling editing and saving edits becomes slow and freezes after time

2014-12-17 07:37 AM - Charles Krolik-Root

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 20094

Description

After toggling editing on and off a number of times the button stays held down and toggling takes longer and longer with the whole program

being left  as '(Not Responding)'.

I'm experiencing a similar problem when saving edits. This causes a real problem because I have closed the program after waiting for

around half an hour which has resulted in a corrupted shapefile. I also have noticed the problem more when using relatively large point

shapefiles (8000+ points).

Closing QGIS and reopening seems to be a short term fix but it's not ideal since it is sometimes unclear as to when the problem may

occur.

History

#1 - 2014-12-17 08:36 AM - Charles Krolik-Root

Causes crash or corruption should be set to 'Yes'

Apologies, unsure how to change this.

#2 - 2014-12-17 09:12 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category set to Digitising

Does this happen with any layer? of any type of datasource (shapes, postgis, etc.)?

#3 - 2014-12-17 09:25 AM - Charles Krolik-Root

I've only been using Shapefiles so I have only experienced this problem with them. Can't speak for other datasources.

#4 - 2014-12-18 04:18 AM - Matthias Kuhn

Have you tried to run it with --noplugins?

This has previously been tracked back to plugins.

See #9229
#5 - 2014-12-18 05:18 AM - Charles Krolik-Root

Removing digitising-related plugins seems to have fixed the problem. Thanks for pointing me in the right direction.

#6 - 2014-12-18 06:13 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
